readlink
rename
Filesystem Functions
PHP Manual

# realpath

(PHP 4, PHP 5)

realpath — Returns canonicalized absolute pathname

### Description

string realpath ( string `$path` )

realpath() expands all symbolic links and resolves references to '/./', '/../' and extra '/' characters in the input `path` . and return the canonicalized absolute pathname.

### Parameters

`path`

  The path being checked.

### Return Values

Returns the canonicalized absolute pathname on success. The resulting path will have no symbolic link, '/./' or '/../' components.

realpath() returns `FALSE` on failure, e.g. if the file does not exist. On BSD systems realpath() doesn't fail if only the last `path` component doesn't exist, while other systems will return `FALSE`.

### Examples

Example #1 realpath() example

`<?php
chdir('/var/www/');
echo realpath('./../../etc/passwd');
?>`

The above example will output:

    /etc/passwd

Example #2 realpath() on Windows

On windows realpath() will change unix style paths to windows style.

`<?php
echo realpath('/windows/system32');
?>`

The above example will output:

    C:\WINDOWS\System32

### See Also

- basename()
- dirname()
- pathinfo()

readlink
rename
Filesystem Functions
PHP Manual